import { Injectable } from '@angular/core'
import { Router, Resolve, RouterStateSnapshot, ActivatedRouteSnapshot } from '@angular/router'
import { Observable } from 'rxjs'
import { map } from 'rxjs/operators'

import { AdminManageDataService, Project } from '../data.service'


@Injectable()
export class ProjectResolver implements Resolve<object> {
    constructor(
        private adminManageDataService: AdminManageDataService,
        private router: Router
    ) {}

    resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Project[]> {
        return this.adminManageDataService.getProjects()
    }
}
